diff --git a/doc/sudo_plugin.cat b/doc/sudo_plugin.cat
index b2d1c00cb..883257579 100644
--- a/doc/sudo_plugin.cat
+++ b/doc/sudo_plugin.cat
@@ -61,7 +61,7 @@ SSuuddoo PPlluuggiinn AAPPII
 
 
 
-1.8.0a1                   March 11, 2010                        1
+1.8.0a1                   March 17, 2010                        1
 
 
 
@@ -127,7 +127,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                        2
+1.8.0a1                   March 17, 2010                        2
 
 
 
@@ -193,7 +193,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                        3
+1.8.0a1                   March 17, 2010                        3
 
 
 
@@ -247,19 +247,19 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
                    The local machine's hostname as returned by the
                    gethostname() system call.
 
-           user_env
-               The user's environment in the form of a NULL-terminated vector
-               of "name=value" strings.
+               lines=int
+                   The number of lines the user's terminal supports.  If there
+                   is no terminal device available, a default value of 24 is
+                   used.
 
-               When parsing _u_s_e_r___e_n_v, the plugin should split on the ffiirrsstt
-               equal sign ('=') since the _n_a_m_e field will never include one
-               itself but the _v_a_l_u_e might.
+               cols=int
+                   The number of columns the user's terminal supports.  If
+                   there is no terminal device available, a default value of
+                   80 is used.
 
 
 
-
-
-1.8.0a1                   March 11, 2010                        4
+1.8.0a1                   March 17, 2010                        4
 
 
 
@@ -268,6 +268,14 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
+           user_env
+               The user's environment in the form of a NULL-terminated vector
+               of "name=value" strings.
+
+               When parsing _u_s_e_r___e_n_v, the plugin should split on the ffiirrsstt
+               equal sign ('=') since the _n_a_m_e field will never include one
+               itself but the _v_a_l_u_e might.
+
        close
             void (*close)(int exit_status, int error);
 
@@ -315,17 +323,9 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
                The number of elements in _a_r_g_v, not counting the final NULL
                pointer.
 
-           argv
-               The argument vector describing the command the user wishes to
-               run, in the same form as what would be passed to the _e_x_e_c_v_e_(_)
-               system call.  The vector is terminated by a NULL pointer.
-
-           env_add
-               Additional environment variables specified by the user on the
 
 
-
-1.8.0a1                   March 11, 2010                        5
+1.8.0a1                   March 17, 2010                        5
 
 
 
@@ -334,6 +334,13 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
+           argv
+               The argument vector describing the command the user wishes to
+               run, in the same form as what would be passed to the _e_x_e_c_v_e_(_)
+               system call.  The vector is terminated by a NULL pointer.
+
+           env_add
+               Additional environment variables specified by the user on the
                command line in the form of a NULL-terminated vector of
                "name=value" strings.  The plugin may reject the command if one
                or more variables are not allowed to be set, or it may silently
@@ -382,16 +389,9 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
                    If set, ssuuddoo will preserve the user's group vector instead
                    of initializing the group vector based on runas_user.
 
-               cwd=string
-                   The current working directory to change to when executing
-                   the command.
-
-               noexec=bool
-                   If set, prevent the command from executing other programs.
 
 
-
-1.8.0a1                   March 11, 2010                        6
+1.8.0a1                   March 17, 2010                        6
 
 
 
@@ -400,6 +400,13 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
+               cwd=string
+                   The current working directory to change to when executing
+                   the command.
+
+               noexec=bool
+                   If set, prevent the command from executing other programs.
+
                chroot=string
                    The root directory to use when running the command.
 
@@ -448,16 +455,9 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
            verbose
                Flag indicating whether to list in verbose mode or not.
 
-           list_user
-               The name of a different user to list privileges for if the
-               policy allows it.  If NULL, the plugin should list the
-               privileges of the invoking user.
 
 
-
-
-
-1.8.0a1                   March 11, 2010                        7
+1.8.0a1                   March 17, 2010                        7
 
 
 
@@ -466,6 +466,11 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
+           list_user
+               The name of a different user to list privileges for if the
+               policy allows it.  If NULL, the plugin should list the
+               privileges of the invoking user.
+
            argc
                The number of elements in _a_r_g_v, not counting the final NULL
                pointer.
@@ -518,12 +523,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-
-
-
-
-
-1.8.0a1                   March 11, 2010                        8
+1.8.0a1                   March 17, 2010                        8
 
 
 
@@ -589,7 +589,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                        9
+1.8.0a1                   March 17, 2010                        9
 
 
 
@@ -655,7 +655,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                       10
+1.8.0a1                   March 17, 2010                       10
 
 
 
@@ -721,7 +721,7 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                       11
+1.8.0a1                   March 17, 2010                       11
 
 
 
@@ -787,6 +787,6 @@ SUDO_PLUGIN(1m)        MAINTENANCE COMMANDS       SUDO_PLUGIN(1m)
 
 
 
-1.8.0a1                   March 11, 2010                       12
+1.8.0a1                   March 17, 2010                       12
 
 
diff --git a/doc/sudo_plugin.man.in b/doc/sudo_plugin.man.in
index 4b7d52277..4173e931b 100644
--- a/doc/sudo_plugin.man.in
+++ b/doc/sudo_plugin.man.in
@@ -139,7 +139,7 @@
 .\" ========================================================================
 .\"
 .IX Title "SUDO_PLUGIN @mansectsu@"
-.TH SUDO_PLUGIN @mansectsu@ "March 11, 2010" "1.8.0a1" "MAINTENANCE COMMANDS"
+.TH SUDO_PLUGIN @mansectsu@ "March 17, 2010" "1.8.0a1" "MAINTENANCE COMMANDS"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
@@ -361,6 +361,14 @@ device associated with the session, the value will be empty, as in
 .IX Item "host=string"
 The local machine's hostname as returned by the \f(CW\*(C`gethostname()\*(C'\fR
 system call.
+.IP "lines=int" 4
+.IX Item "lines=int"
+The number of lines the user's terminal supports.  If there is
+no terminal device available, a default value of 24 is used.
+.IP "cols=int" 4
+.IX Item "cols=int"
+The number of columns the user's terminal supports.  If there is
+no terminal device available, a default value of 80 is used.
 .RE
 .RS 4
 .RE
diff --git a/doc/sudo_plugin.pod b/doc/sudo_plugin.pod
index b5ad09a7e..2cfe58cec 100644
--- a/doc/sudo_plugin.pod
+++ b/doc/sudo_plugin.pod
@@ -260,6 +260,16 @@ C<tty=>.
 The local machine's hostname as returned by the C<gethostname()>
 system call.
 
+=item lines=int
+
+The number of lines the user's terminal supports.  If there is
+no terminal device available, a default value of 24 is used.
+
+=item cols=int
+
+The number of columns the user's terminal supports.  If there is
+no terminal device available, a default value of 80 is used.
+
 =back
 
 =item user_env
